Client API · Messages
Update a message
PATCH/
Path parameters
inbox_identifierstringrequiredThe identifier obtained from API inbox channel
contact_identifierstringrequiredThe source id of contact obtained on contact create
conversation_idintegerrequiredThe numeric ID of the conversation
message_idintegerrequiredThe numeric ID of the message
Body application/json
submitted_valuesobjectReplies to the Bot Message Types
submitted_values.namestringThe name of the submiitted value
submitted_values.titlestringThe title of the submitted value
submitted_values.valuestringThe value of the submitted value
submitted_values.csat_survey_responseobjectThe CSAT survey response
submitted_values.csat_survey_response.feedback_messagestringThe feedback message of the CSAT survey response
submitted_values.csat_survey_response.ratingintegerThe rating of the CSAT survey response
Responses
200Success
idintegerId of the message
contentstringText content of the message. Can be null for attachment-only messages.
message_typeintegerDenotes the message type. Possible values: 0 (incoming), 1 (outgoing), 2 (activity), 3 (template)
content_typestringContent type of the message
content_attributesobjectAdditional content attributes of the message
created_atintegerCreated at Unix timestamp of the message
conversation_idintegerDisplay Id of the conversation the message belongs to
attachmentsarray of objectAttachments if any
attachments[].idintegerId of the attachment
attachments[].message_idintegerId of the parent message
attachments[].file_typestringType of the attached file One of: image, audio, video, file, location, fallback, share, story_mention, contact, ig_reel, ig_post, ig_story, embed.
attachments[].account_idintegerId of the account
attachments[].extensionstringFile extension
attachments[].data_urlstringURL of the file. Can be null when an attachment variant has no external URL.
attachments[].thumb_urlstringURL of the file thumbnail
attachments[].file_sizeintegerFile size in bytes
attachments[].widthintegerWidth of the attachment when available
attachments[].heightintegerHeight of the attachment when available
attachments[].coordinates_latnumberLatitude for location attachments
attachments[].coordinates_longnumberLongitude for location attachments
attachments[].fallback_titlestringFallback title for location, fallback, and contact attachments when available
attachments[].metaobjectMetadata for contact attachments
attachments[].transcribed_textstringTranscribed text for audio attachments
senderobjectPolymorphic sender payload returned by push_event_data. Available fields vary by sender type.
sender.idintegerId of the sender
sender.namestringName of the sender when available
sender.thumbnailstringAvatar/thumbnail URL of the sender. Contact senders use this field; user senders may also include it.
sender.typestringType of the sender One of: contact, user, agent_bot.
sender.available_namestringDisplay name for user senders
sender.availability_statusstringAvailability status for user senders
sender.emailstringEmail of the sender when the sender is a contact
sender.phone_numberstringPhone number of the sender when the sender is a contact
sender.identifierstringIdentifier of the sender when the sender is a contact
sender.blockedbooleanWhether the sender is blocked when the sender is a contact
sender.additional_attributesobjectAdditional attributes when the sender is a contact and available
sender.custom_attributesobjectCustom attributes when the sender is a contact and available
401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring